erreur avec sleep

Le
Thomas
bonjour :-)


mon script m'a signalé que "sleep" a renvoyé une erreur

dans quelles circonstances est ce que ça peut arriver ?
j'ai aucune idée de ce qu'il a pu y avoir comme problème

--
j'agis contre l'assistanat, je travaille dans une SCOP !
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 3
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Matthieu Moy
Le #6869481
Thomas
bonjour :-)


mon script m'a signalé que "sleep" a renvoyé une erreur


Laquelle ?

--
Matthieu

Thomas
Le #6869471
In article Matthieu Moy
Thomas
bonjour :-)


mon script m'a signalé que "sleep" a renvoyé une erreur


Laquelle ?


ah !


en fait je sais pas,

dans le script j'ai fait :

sleep 86400 || exit

et dans le log j'ai :

+ sleep 86400
+ exit

les erreurs sont loggées aussi (avec "&>")
et apparemment il n'y en a pas

--
j'agis contre l'assistanat, je travaille dans une SCOP !


Stephane CHAZELAS
Le #6869451
2008-06-10, 16:13(+02), Thomas:
[...]
mon script m'a signalé que "sleep" a renvoyé une erreur


Laquelle ?
[...]


sleep 86400 || exit

et dans le log j'ai :

+ sleep 86400
+ exit

les erreurs sont loggées aussi (avec "&>")
et apparemment il n'y en a pas


sleep a pu etre tué par un signal.

--
Stéphane



fx [François-Xavier Peretmere]
Le #6871371
on the 10/06/08 16:13 Thomas wrote the following:
In article Matthieu Moy
Thomas
bonjour :-)


mon script m'a signalé que "sleep" a renvoyé une erreur
Laquelle ?



ah !


en fait je sais pas,

dans le script j'ai fait :

sleep 86400 || exit

et dans le log j'ai :

+ sleep 86400
+ exit

les erreurs sont loggées aussi (avec "&>")
et apparemment il n'y en a pas


Amusant. Peut-être qu'en récupérant le code retour? (pas testé) :

sleep 86400 || ( echo $? && exit )

Fx

--
"alt.flame Special Forces: When they absolutely, positively have
to be spanked off the net overnight." -Max Field



Stephane CHAZELAS
Le #6871361
2008-06-10, 16:36(+02), fx [François-Xavier Peretmere]:
[...]
sleep 86400 || exit

et dans le log j'ai :

+ sleep 86400
+ exit

les erreurs sont loggées aussi (avec "&>")
et apparemment il n'y en a pas


Amusant. Peut-être qu'en récupérant le code retour? (pas testé) :

sleep 86400 || ( echo $? && exit )
[...]


Ca ne propage pas le code d'erreur.

sleep 86400 || {
ret=$?
echo "sleep died with exit code $ret" >&2
exit "$ret"
}

sleep 86400 || exit "$?"

devrait aussi montrer l'exit code par l'output de "set -x":

+ exit 129


par exemple.

--
Stéphane


Thomas
Le #6871341
In article Stephane CHAZELAS
2008-06-10, 16:36(+02), fx [François-Xavier Peretmere]:
[...]
sleep 86400 || exit

et dans le log j'ai :

+ sleep 86400
+ exit

les erreurs sont loggées aussi (avec "&>")
et apparemment il n'y en a pas


Amusant.



:-D

Peut-être qu'en récupérant le code retour? (pas testé) :



bonne idée, merci :-)


sleep 86400 || ( echo $? && exit )
[...]


Ca ne propage pas le code d'erreur.


et le exit ne marche pas non plus


sleep 86400 || exit "$?"


(sans les guillemets ca ne fait pas pareil ? sleep 86400 || exit $? )


devrait aussi montrer l'exit code par l'output de "set -x":

+ exit 129


merci :-)

ça aidera au diagnostic la prochaine fois :-)

--
j'agis contre l'assistanat, je travaille dans une SCOP !



Thomas
Le #6871331
In article Stephane CHAZELAS
2008-06-10, 16:13(+02), Thomas:
[...]
mon script m'a signalé que "sleep" a renvoyé une erreur


Laquelle ?
[...]


sleep 86400 || exit

et dans le log j'ai :

+ sleep 86400
+ exit

les erreurs sont loggées aussi (avec "&>")
et apparemment il n'y en a pas


sleep a pu etre tué par un signal.


ça m'étonnerais un peu, parce que je n'ai rien fait de particulier,
je ne vois pas quel logiciel aurait pu lancer ce signal

ah oui et ce que j'ai oublié de vous dire, c'est que l'erreur est
survenue au moment où le sleep a été lancé, pas pendant qu'il attendait


mais bon, il y a un autre logiciel qui ne fonctionne plus normalement
non plus,
je crois qu'il faut que je redémarre ...
(ça tourne depuis 2 mois)

on en saura peut être un peu plus la prochaine fois avec le code
d'erreur :-)

--
j'agis contre l'assistanat, je travaille dans une SCOP !




Stephane CHAZELAS
Le #6871321
2008-06-10, 16:58(+02), Thomas:
[...]
sleep 86400 || exit "$?"


(sans les guillemets ca ne fait pas pareil ? sleep 86400 || exit $? )
[...]


Non, ommettre les quotes autour d'une variable est l'operateur
split+glob en shell.

printf '%s' $var
C'est comme si par exemple en perl tu ecrivais:

$_ = $var;
print for map {glob} split;

Pour avoir
print $var;

c'est:

printf '%s' "$var"

Sachant que le split depend de la valeur de $IFS.

--
Stéphane


Matthieu Moy
Le #6871311
Stephane CHAZELAS
2008-06-10, 16:58(+02), Thomas:
[...]
sleep 86400 || exit "$?"


(sans les guillemets ca ne fait pas pareil ? sleep 86400 || exit $? )
[...]


Non, ommettre les quotes autour d'une variable est l'operateur
split+glob en shell.


Ceci dit, dans ce cas précis, $? est un nombre, donc split+glob ne
changeront rien dessus. Mais on est d'accord qu'il faut prendre et
garder les bonnes habitudes !

--
Matthieu



Stephane CHAZELAS
Le #6875551
2008-06-10, 17:12(+02), Thomas:
In article Stephane CHAZELAS
2008-06-10, 16:13(+02), Thomas:
[...]
mon script m'a signalé que "sleep" a renvoyé une erreur


Laquelle ?
[...]


sleep 86400 || exit

et dans le log j'ai :

+ sleep 86400
+ exit

les erreurs sont loggées aussi (avec "&>")
et apparemment il n'y en a pas


sleep a pu etre tué par un signal.


ça m'étonnerais un peu, parce que je n'ai rien fait de particulier,
je ne vois pas quel logiciel aurait pu lancer ce signal

ah oui et ce que j'ai oublié de vous dire, c'est que l'erreur est
survenue au moment où le sleep a été lancé, pas pendant qu'il attendait
[...]


Ca peut etre une limite a ete atteinte comme le nombre de
processus de l'utilisateur, le nombre de fichiers ouverts, mais
il n'y aurait pas de raison que ca n'arrive qu'a sleep.

--
Stéphane





Publicité
Poster une réponse
Anonyme